## pyqi 0.3.2+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyqi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyqi.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyqi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyqi"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyqi 0.2.0

=== debian/changelog ===
pyqi (0.2.0-2) unstable; urgency=low

  * Drop centence with funky unicode from long description.
    Closes: #729199

 -- Andreas Tille <tille@debian.org>  Sat, 09 Nov 2013 10:39:14 +0100

pyqi (0.2.0-1) unstable; urgency=low

  * Initial release for Debian (Closes: #726386)
  * debian/control:
     - taking over into Debian Med team maintenance
     - Vcs fields
     - cme fix dpkg-control
     - drop explicit python dependency which is automatically
       resolved from variable
     - Arch: all
  * debian/copyright: cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Tue, 15 Oct 2013 09:12:04 +0200

pyqi (0.2.0-0biolinux1) precise; urgency=low

  * Initial release for BL.

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 24 Sep 2013 18:45:50 +0100

=== debian/control ===
Source: pyqi
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: python
Priority: optional
Build-Depends: python,
               python-sphinx,
               debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/pyqi/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pyqi/trunk/
Homepage: http://bipy.github.io/pyqi/doc/index.html

Package: pyqi
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: Python framework for wrapping general commands in multiple interfaces
 pyqi (canonically pronounced pie chee) is a Python framework designed to
 support wrapping general commands in multiple types of interfaces, including
 at the command line, HTML, and API levels.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

%:
	dh  $@ --with python2

override_dh_auto_build:
	dh_auto_build
	cd doc && make man

override_dh_auto_clean:
	dh_auto_clean
	cd doc && make clean

=== debian/watch ===
version=3

ftp://thebeast.colorado.edu/pub/pyqi-releases/pyqi-([0-9.]+).tar.gz

## pyqi 0.3.2%2Bdfsg

=== debian/changelog ===
pyqi (0.3.2+dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix clean target, enable Python 3.8 in 2to3 patch
    Closes: #954500
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Remove redundant cgi import line

 -- Andreas Tille <tille@debian.org>  Mon, 30 Mar 2020 15:04:11 +0200

pyqi (0.3.2+dfsg-4) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #937512
  * buildsystem=pybuild
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 11 Sep 2019 13:39:34 +0200

pyqi (0.3.2+dfsg-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Drop useless get-orig-source target
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2018 13:14:04 +0100

pyqi (0.3.2+dfsg-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * some JS libraries are now in libjs-sphinxdoc
    Closes: #829189

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jul 2016 13:30:25 +0200

pyqi (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 21 May 2014 22:19:41 +0200

pyqi (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file
  * cme fix dpkg-control
  * Exclude binary chunks from doc creation (and egg-info once we are
    removing useless stuff)
  * Create html documentation and install it

 -- Andreas Tille <tille@debian.org>  Thu, 27 Mar 2014 21:32:39 +0100

=== debian/control ===
Source: pyqi
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               dh-linktree,
               python3,
               python3-sphinx,
               python3-setuptools,
               sphinx-common,
               libjs-sphinxdoc
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pyqi
Vcs-Git: https://salsa.debian.org/med-team/pyqi.git
Homepage: https://pypi.python.org/pypi/pyqi/
Rules-Requires-Root: no

Package: pyqi
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${js:Depends}
Description: Python framework for wrapping general commands in multiple interfaces
 pyqi (canonically pronounced pie chee) is a Python framework designed to
 support wrapping general commands in multiple types of interfaces, including
 at the command line, HTML, and API levels.

## pyqi 0.3.2+dfsg

=== debian/control ===
Source: pyqi
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-linktree,
               python,
               python-sphinx,
               python-setuptools,
               sphinx-common,
               libjs-sphinxdoc
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pyqi.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/pyqi.git
Homepage: https://pypi.python.org/pypi/pyqi/

Package: pyqi
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${js:Depends}
Description: Python framework for wrapping general commands in multiple interfaces
 pyqi (canonically pronounced pie chee) is a Python framework designed to
 support wrapping general commands in multiple types of interfaces, including
 at the command line, HTML, and API levels.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

%:
	dh  $@ --with python2 --with linktree

override_dh_auto_build:
	dh_auto_build
	cd doc && make man htmlhelp

override_dh_auto_clean:
	dh_auto_clean
	cd doc && make clean

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --compression xz --destdir=../tarballs

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*// \
  https://pypi.python.org/packages/source/p/pyqi/pyqi-([.\d]+)\.tar\.gz
